#!/bin/bash

export ASTRO_BENCH_NAME=tensorflow1-8_compiled_from_sources
export ASTRO_BASE_PATH=/sps/hep/ccin2p3/users/brigaud/prace-ramp-astro-benchmark
export ASTRO_IMAGE_PATH=/sps/hep/ccin2p3/users/brigaud/image/singularity2-4/prace_ramp_astro_benchmark_tf1-8.simg
export ASTRO_DATASET_PATH=/sps/hep/ccin2p3/users/brigaud/datasets/astrophd_tutorial
export ASTRO_OUTPUT_PATH=/sps/hep/ccin2p3/users/brigaud/prace-ramp-astro-benchmark/output/batchsize_64/gpu4
export ASTRO_NUM_GPUS=4
export ASTRO_NUM_CORES=4
export ASTRO_BATCHSIZE=64
export ASTRO_EPOCH=50
export ASTRO_FARM_QUEUE_HOST=mc_gpu_medium
export KERAS_BACKEND=tensorflow

################################################# BATCHSIZE 64 ##############################################

export ASTRO_OUTPUT_PATH=/sps/hep/ccin2p3/users/brigaud/prace-ramp-astro-benchmark/output/batchsize_64/gpu1
export ASTRO_NUM_GPUS=1
export ASTRO_BATCHSIZE=64

qsub -l GPU=$ASTRO_NUM_GPUS -q $ASTRO_FARM_QUEUE_HOST -pe multicores_gpu $ASTRO_NUM_CORES -o $ASTRO_OUTPUT_PATH -e $ASTRO_OUTPUT_PATH -V  $ASTRO_BASE_PATH/batch_launcher.sh

##############################################################################################################

export ASTRO_OUTPUT_PATH=/sps/hep/ccin2p3/users/brigaud/prace-ramp-astro-benchmark/output/batchsize_64/gpu2
export ASTRO_NUM_GPUS=2
export ASTRO_BATCHSIZE=64

qsub -l GPU=$ASTRO_NUM_GPUS -q $ASTRO_FARM_QUEUE_HOST -pe multicores_gpu $ASTRO_NUM_CORES -o $ASTRO_OUTPUT_PATH -e $ASTRO_OUTPUT_PATH -V  $ASTRO_BASE_PATH/batch_launcher.sh

##############################################################################################################

export ASTRO_OUTPUT_PATH=/sps/hep/ccin2p3/users/brigaud/prace-ramp-astro-benchmark/output/batchsize_64/gpu4
export ASTRO_NUM_GPUS=4
export ASTRO_BATCHSIZE=64

qsub -l GPU=$ASTRO_NUM_GPUS -q $ASTRO_FARM_QUEUE_HOST -pe multicores_gpu $ASTRO_NUM_CORES -o $ASTRO_OUTPUT_PATH -e $ASTRO_OUTPUT_PATH -V  $ASTRO_BASE_PATH/batch_launcher.sh


################################################# BATCHSIZE 128 ##############################################

export ASTRO_OUTPUT_PATH=/sps/hep/ccin2p3/users/brigaud/prace-ramp-astro-benchmark/output/batchsize_128/gpu1
export ASTRO_NUM_GPUS=1
export ASTRO_BATCHSIZE=128

qsub -l GPU=$ASTRO_NUM_GPUS -q $ASTRO_FARM_QUEUE_HOST -pe multicores_gpu $ASTRO_NUM_CORES -o $ASTRO_OUTPUT_PATH -e $ASTRO_OUTPUT_PATH -V  $ASTRO_BASE_PATH/batch_launcher.sh

##############################################################################################################

export ASTRO_OUTPUT_PATH=/sps/hep/ccin2p3/users/brigaud/prace-ramp-astro-benchmark/output/batchsize_128/gpu2
export ASTRO_NUM_GPUS=2
export ASTRO_BATCHSIZE=128

qsub -l GPU=$ASTRO_NUM_GPUS -q $ASTRO_FARM_QUEUE_HOST -pe multicores_gpu $ASTRO_NUM_CORES -o $ASTRO_OUTPUT_PATH -e $ASTRO_OUTPUT_PATH -V  $ASTRO_BASE_PATH/batch_launcher.sh

##############################################################################################################

export ASTRO_OUTPUT_PATH=/sps/hep/ccin2p3/users/brigaud/prace-ramp-astro-benchmark/output/batchsize_128/gpu4
export ASTRO_NUM_GPUS=4
export ASTRO_BATCHSIZE=128

qsub -l GPU=$ASTRO_NUM_GPUS -q $ASTRO_FARM_QUEUE_HOST -pe multicores_gpu $ASTRO_NUM_CORES -o $ASTRO_OUTPUT_PATH -e $ASTRO_OUTPUT_PATH -V  $ASTRO_BASE_PATH/batch_launcher.sh


################################################# BATCHSIZE 256 ##############################################

export ASTRO_OUTPUT_PATH=/sps/hep/ccin2p3/users/brigaud/prace-ramp-astro-benchmark/output/batchsize_256/gpu1
export ASTRO_NUM_GPUS=1
export ASTRO_BATCHSIZE=256

qsub -l GPU=$ASTRO_NUM_GPUS -q $ASTRO_FARM_QUEUE_HOST -pe multicores_gpu $ASTRO_NUM_CORES -o $ASTRO_OUTPUT_PATH -e $ASTRO_OUTPUT_PATH -V  $ASTRO_BASE_PATH/batch_launcher.sh

##############################################################################################################

export ASTRO_OUTPUT_PATH=/sps/hep/ccin2p3/users/brigaud/prace-ramp-astro-benchmark/output/batchsize_256/gpu2
export ASTRO_NUM_GPUS=2
export ASTRO_BATCHSIZE=256

qsub -l GPU=$ASTRO_NUM_GPUS -q $ASTRO_FARM_QUEUE_HOST -pe multicores_gpu $ASTRO_NUM_CORES -o $ASTRO_OUTPUT_PATH -e $ASTRO_OUTPUT_PATH -V  $ASTRO_BASE_PATH/batch_launcher.sh

##############################################################################################################

export ASTRO_OUTPUT_PATH=/sps/hep/ccin2p3/users/brigaud/prace-ramp-astro-benchmark/output/batchsize_256/gpu4
export ASTRO_NUM_GPUS=4
export ASTRO_BATCHSIZE=256

qsub -l GPU=$ASTRO_NUM_GPUS -q $ASTRO_FARM_QUEUE_HOST -pe multicores_gpu $ASTRO_NUM_CORES -o $ASTRO_OUTPUT_PATH -e $ASTRO_OUTPUT_PATH -V  $ASTRO_BASE_PATH/batch_launcher.sh


################################################# BATCHSIZE 512 ##############################################

export ASTRO_OUTPUT_PATH=/sps/hep/ccin2p3/users/brigaud/prace-ramp-astro-benchmark/output/batchsize_512/gpu1
export ASTRO_NUM_GPUS=1
export ASTRO_BATCHSIZE=512

qsub -l GPU=$ASTRO_NUM_GPUS -q $ASTRO_FARM_QUEUE_HOST -pe multicores_gpu $ASTRO_NUM_CORES -o $ASTRO_OUTPUT_PATH -e $ASTRO_OUTPUT_PATH -V  $ASTRO_BASE_PATH/batch_launcher.sh

##############################################################################################################

export ASTRO_OUTPUT_PATH=/sps/hep/ccin2p3/users/brigaud/prace-ramp-astro-benchmark/output/batchsize_512/gpu2
export ASTRO_NUM_GPUS=2
export ASTRO_BATCHSIZE=512

qsub -l GPU=$ASTRO_NUM_GPUS -q $ASTRO_FARM_QUEUE_HOST -pe multicores_gpu $ASTRO_NUM_CORES -o $ASTRO_OUTPUT_PATH -e $ASTRO_OUTPUT_PATH -V  $ASTRO_BASE_PATH/batch_launcher.sh

##############################################################################################################

export ASTRO_OUTPUT_PATH=/sps/hep/ccin2p3/users/brigaud/prace-ramp-astro-benchmark/output/batchsize_512/gpu4
export ASTRO_NUM_GPUS=4
export ASTRO_BATCHSIZE=512

qsub -l GPU=$ASTRO_NUM_GPUS -q $ASTRO_FARM_QUEUE_HOST -pe multicores_gpu $ASTRO_NUM_CORES -o $ASTRO_OUTPUT_PATH -e $ASTRO_OUTPUT_PATH -V  $ASTRO_BASE_PATH/batch_launcher.sh


################################################# BATCHSIZE 1024 ##############################################

export ASTRO_OUTPUT_PATH=/sps/hep/ccin2p3/users/brigaud/prace-ramp-astro-benchmark/output/batchsize_1024/gpu1
export ASTRO_NUM_GPUS=1
export ASTRO_BATCHSIZE=1024

qsub -l GPU=$ASTRO_NUM_GPUS -q $ASTRO_FARM_QUEUE_HOST -pe multicores_gpu $ASTRO_NUM_CORES -o $ASTRO_OUTPUT_PATH -e $ASTRO_OUTPUT_PATH -V  $ASTRO_BASE_PATH/batch_launcher.sh

##############################################################################################################

export ASTRO_OUTPUT_PATH=/sps/hep/ccin2p3/users/brigaud/prace-ramp-astro-benchmark/output/batchsize_1024/gpu2
export ASTRO_NUM_GPUS=2
export ASTRO_BATCHSIZE=1024

qsub -l GPU=$ASTRO_NUM_GPUS -q $ASTRO_FARM_QUEUE_HOST -pe multicores_gpu $ASTRO_NUM_CORES -o $ASTRO_OUTPUT_PATH -e $ASTRO_OUTPUT_PATH -V  $ASTRO_BASE_PATH/batch_launcher.sh

##############################################################################################################

export ASTRO_OUTPUT_PATH=/sps/hep/ccin2p3/users/brigaud/prace-ramp-astro-benchmark/output/batchsize_1024/gpu4
export ASTRO_NUM_GPUS=4
export ASTRO_BATCHSIZE=1024

qsub -l GPU=$ASTRO_NUM_GPUS -q $ASTRO_FARM_QUEUE_HOST -pe multicores_gpu $ASTRO_NUM_CORES -o $ASTRO_OUTPUT_PATH -e $ASTRO_OUTPUT_PATH -V  $ASTRO_BASE_PATH/batch_launcher.sh

################################################# BATCHSIZE 2048 ##############################################

export ASTRO_OUTPUT_PATH=/sps/hep/ccin2p3/users/brigaud/prace-ramp-astro-benchmark/output/batchsize_2048/gpu1
export ASTRO_NUM_GPUS=1
export ASTRO_BATCHSIZE=2048

qsub -l GPU=$ASTRO_NUM_GPUS -q $ASTRO_FARM_QUEUE_HOST -pe multicores_gpu $ASTRO_NUM_CORES -o $ASTRO_OUTPUT_PATH -e $ASTRO_OUTPUT_PATH -V  $ASTRO_BASE_PATH/batch_launcher.sh

##############################################################################################################

export ASTRO_OUTPUT_PATH=/sps/hep/ccin2p3/users/brigaud/prace-ramp-astro-benchmark/output/batchsize_2048/gpu2
export ASTRO_NUM_GPUS=2
export ASTRO_BATCHSIZE=2048

qsub -l GPU=$ASTRO_NUM_GPUS -q $ASTRO_FARM_QUEUE_HOST -pe multicores_gpu $ASTRO_NUM_CORES -o $ASTRO_OUTPUT_PATH -e $ASTRO_OUTPUT_PATH -V  $ASTRO_BASE_PATH/batch_launcher.sh

##############################################################################################################

export ASTRO_OUTPUT_PATH=/sps/hep/ccin2p3/users/brigaud/prace-ramp-astro-benchmark/output/batchsize_2048/gpu4
export ASTRO_NUM_GPUS=4
export ASTRO_BATCHSIZE=2048

qsub -l GPU=$ASTRO_NUM_GPUS -q $ASTRO_FARM_QUEUE_HOST -pe multicores_gpu $ASTRO_NUM_CORES -o $ASTRO_OUTPUT_PATH -e $ASTRO_OUTPUT_PATH -V  $ASTRO_BASE_PATH/batch_launcher.sh
